
Core - Bug # 43484

Status: Resolved Priority: Should have
Author: Heinz Scheungrab Category: Extension Manager
Created: 2012-11-30 Assigned To: Georg Ringer
Updated: 2013-04-24 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: no-brainer
Is Regression:
Sprint Focus:
Subject: Extension Manager only shows error message "File has been deleted."
Description

There is a error message, when i run the extension manager:

Oops, an error occurred!
File has been deleted.
More information regarding this error might be available online.

Associated revisions
Revision 03f40e4d - 2012-12-07 07:45 - Georg Ringer

[BUGFIX] Catch all errors in EM ViewHelper

Catching all errors which can happen during image generation
to avoid a non caught exception for users.

Problem is especially the Exception "File has been deleted" 
which happens at some sites when having empty
typo3temp/_processed_/ directory and empty sys_file DB table.

Change-Id: I5f4e9ce520c828c222f91a2a816263cd433c5c60
Fixes: #43484
Releases: 6.1, 6.0
Reviewed-on: http://review.typo3.org/16993
Reviewed-by: Mattias Nilsson
Tested-by: Wolfgang Freund
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

Revision db79f0f0 - 2012-12-07 07:49 - Georg Ringer

[BUGFIX] Catch all errors in EM ViewHelper

Catching all errors which can happen during image generation
to avoid a non caught exception for users.

Problem is especially the Exception "File has been deleted" 
which happens at some sites when having empty
typo3temp/_processed_/ directory and empty sys_file DB table.

Change-Id: I5f4e9ce520c828c222f91a2a816263cd433c5c60
Fixes: #43484
Releases: 6.1, 6.0
Reviewed-on: http://review.typo3.org/17002
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

History
#1 - 2012-11-30 17:03 - Chris topher
- Subject changed from Extension Manager to Extension Manager only shows error message "File has been deleted."

#2 - 2012-11-30 18:40 - Hartmut Steglich

can confirm this for TYPO3 6.0.0; was ok until 6.0.0RC2

#3 - 2012-11-30 19:49 - Heinz Scheungrab

The same error on some content pages.

LOG:
Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1329821485: File has been deleted. | RuntimeException thrown in file
/.../typo3_src-6.0.0/typo3/sysext/core/Classes/Resource/AbstractFile.php in line 492. Requested URL: 
http://.../typo3/sysext/cms/layout/db_layout.php?id=322

The extension manager works after deleting typo3temp and all caches.

#4 - 2012-11-30 22:24 - Hartmut Steglich

completely deleted typo3temp, did not help

Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1329821485: File has been deleted. | RuntimeException thrown in file
.../typo3/sysext/core/Classes/Resource/AbstractFile.php in line 492. Requested URL: 
http://.../typo3/mod.php?M=tools_ExtensionmanagerExtensionmanager

#5 - 2012-12-01 01:37 - Cedric Ziel

On my side, this error doesn't happen, if your sources aren't symlinked.

#6 - 2012-12-02 10:41 - Peter Proell

Can confirm. Links to http://typo3.org/go/exception/v4/1329821485

#7 - 2012-12-04 17:14 - Sebastian 

My sources aren't symlinked - nevertheless the error occurs on my side
#8 - 2012-12-05 09:34 - Wolfgang Rock

Can confirm Sebastian: My sources are not symlinked and the error occurs. Emptying typo3temp and clearing caches does not help!

#9 - 2012-12-05 11:46 - Sebastian 

After yesterday, clearing caches, typo3temp (completely)
the extension manager now works!

No change in files, directories or database!

Guess the problem solved itself? (refreshed system-entrys in db?)

Hartmut, Heinz and Peter can you verify this behavior?
Wolfgang, please give a feedback tomorrow.

#10 - 2012-12-05 18:20 - Heinz Scheungrab

@Sebastian: The same on my site. No changes > em works fine. But on some pages the same error inside the page-modul.

#11 - 2012-12-05 20:25 - Wolfgang Freund

Error also occurs on 6.1-dev version from git.

Sources are symlinked. Clearing caches or typo3temp folder does not help.

#12 - 2012-12-06 10:27 - Hartmut Steglich

strange behaviour here:

yesterday - again deleted typo3temp completely, em only showing debug output which I wanted to post now

today - em shows up, lists installed and available ext => seems to work ok, but icons of exts are mixed up

could ist be related to login/logout? nothing else changed inbetween.

installation was updated 4.7.x -> 6.0.0RC1 -> 6.0.0RC2 -> 6.0.0 
sources are not symlinked

#13 - 2012-12-06 13:52 - Frank Schumacher

Same issue here. Clean installation of 6.0 on W2008 DataCenter Server. Earlier that day, the em showed up, but only showed the installed
extensions. The Get Extension List was empty. Eventually, when I returned to em, I get this error. I tried clearing cache, reloging, restarting
apache/mysql, restarting whole server. Nothing helped.
I think what I have done in the meantime (beside creating a simple site with some text and 2 pictures) was installing and configuring ImageMagick. Not
sure, wheter this may be related somehow.

2015-08-04 3/6



And I am using symlinks

#14 - 2012-12-06 16:07 - Georg Ringer
- Status changed from New to Accepted
- Assigned To set to Georg Ringer
- Target version set to 6.0.1
- Complexity set to no-brainer

#15 - 2012-12-06 16:18 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16993

#16 - 2012-12-06 16:19 - Georg Ringer

please test the bugfix, change is a 1line. and give feedback in gerrit

#17 - 2012-12-06 16:38 - Heinz Scheungrab

After bugfix > The em works fine, but when i go to "get extension" >

Oops, an error occurred!
Could not analyse class:TYPO3\CMS\Extensionmanager\ViewHelpers\ShowExtensionVersionsViewHelper maybe not loaded or no autoloader?
More information regarding this error might be available online.

#18 - 2012-12-07 07:49 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at http://review.typo3.org/17002

#19 - 2012-12-07 07:50 - Georg Ringer

i just merged the proposed patch.

@Heinz: Can I get access to your system including ssh or ftp? I can't reproduce it but I still wanna fix it. thx

#20 - 2012-12-07 08:30 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:db79f0f080fb5e3f2702833bdb0647aaa1f5fada.

#21 - 2012-12-07 14:44 - Heinz Scheungrab
After including the patch > Error still exist.

@Georg: Of course you can get access to my system - Where can i post the login data?

#22 - 2012-12-07 15:33 - Dirk Reitz

@Georg

unfortunately your patch didn't help ... now all i get is a white screen, when I try to open the em. BTW - the same happens, if I would like to open
'language'.

brgds  Dirk

#23 - 2012-12-07 20:56 - Christian Ehret

Hello,

I had the same issue here. I changed typo3/sysext/core/Classes/Resource/AbstractFile.php to get an idea what's missing:
Line 492: throw new \RuntimeException('File has been deleted. '.$this->name, 1329821485);

so I got the following log entry:
Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1329821485: File has been deleted. csm_ext_icon_e586462cea.png |
RuntimeException thrown in file .....

As others mentioned, clearing cache does not help. But for me it helped to go to install tool - Clean up - and Clean up everything at Number cached
image sizes. After that the error has gone!

@Georg: if you need access please let me know!

Christian

#24 - 2012-12-12 01:33 - Martin W.

I had this error, after I moved an installation to an other server. It appeared in the frontend and in the backend as well. After I  emptied the table
"sys_file_processedfile" everything runs fine. Maybe the fields "checksum" or "originalfilesha1" caused the error. The filedate changed on the new
server.

#25 - 2012-12-18 11:24 - Urs Braem

Christian Ehret's trick

But for me it helped to go to install tool - Clean up - and Clean up everything at Number cached image sizes. After that the error has gone!

worked for me as well

#26 - 2012-12-18 14:50 - Hitesh Anjara
MGW  wrote:

I had this error, after I moved an installation to an other server. It appeared in the frontend and in the backend as well. After I  emptied the table
"sys_file_processedfile" everything runs fine. Maybe the fields "checksum" or "originalfilesha1" caused the error. The filedate changed on the new
server.

Thank you for this solution, its working greattttttttttt! :-)

#27 - 2012-12-20 11:37 - Camelia M

Martin Waue wrote:

I had this error, after I moved an installation to an other server. It appeared in the frontend and in the backend as well. After I  emptied the table
"sys_file_processedfile" everything runs fine. Maybe the fields "checksum" or "originalfilesha1" caused the error. The filedate changed on the new
server.

Works for me also. Thanks

#28 - 2013-01-06 06:54 - Björn Biege

Martin Waue wrote:

I had this error, after I moved an installation to an other server. It appeared in the frontend and in the backend as well. After I  emptied the table
"sys_file_processedfile" everything runs fine. Maybe the fields "checksum" or "originalfilesha1" caused the error. The filedate changed on the new
server.

Thank you. I have the issue, after some problems with Image Magic and rendering of images and thumbnails.

#29 - 2013-01-09 16:04 - Tilo Baller

The origin of the Bug was fixed here: 
http://forge.typo3.org/issues/44073 (->https://review.typo3.org/#/c/17208/)

As long as 6.0.1 is not released, truncating the sys_file_processedfile table also does the job.

2015-08-04 6/6

http://forge.typo3.org/issues/44073

